package com.prolog.cs.biz.inbound.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 收货拆分校验类
 * 
 * @author Xiong
 *
 */
@ApiModel
public class RcvLineSpiltInfo implements Serializable {

	private static final long serialVersionUID = 454138866905865455L;
	// 拆分asn行id
	@ApiModelProperty("asn行id")
	private String asnLineId;
	// 拆分最小单位总量
	@ApiModelProperty("最小单位总量")
	private BigDecimal pieceQty;
	// 行号
	@ApiModelProperty("行号")
	private Integer lineNum;

	public String getAsnLineId() {
		return asnLineId;
	}

	public void setAsnLineId(String asnLineId) {
		this.asnLineId = asnLineId;
	}

	public BigDecimal getPieceQty() {
		return pieceQty;
	}

	public void setPieceQty(BigDecimal pieceQty) {
		this.pieceQty = pieceQty;
	}

	public Integer getLineNum() {
		return lineNum;
	}

	public void setLineNum(Integer lineNum) {
		this.lineNum = lineNum;
	}
}
